%define name	rdiff-backup
%define version 0.13.6
%define release 1mdk

Summary:	Backup software
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
URL:		http://rdiff-backup.stanford.edu/
Source:		http://rdiff-backup.stanford.edu/%{name}-%{version}.tar.bz2
Requires:	python
BuildRequires:	librsync-devel >= 0.9.6
BuildRequires:	popt-devel
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	rpm-python
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
rdiff-backup is a script, written in Python, that backs up one
directory to another and is intended to be run periodically
(nightly from cron for instance). The target directory ends up
a copy of the source directory, but extra reverse diffs are
stored in the target directory, so you can still recover files
lost some time ago. The idea is to combine the best features of
a mirror and an incremental backup. rdiff-backup can also operate
in a bandwidth efficient manner over a pipe, like rsync. Thus you
can use rdiff-backup and ssh to securely back a hard drive up to
a remote location, and only the differences from the previous
backup will be transmitted.

%prep

%setup -q

%build
python setup.py build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

python \
    setup.py install \
    --optimize=2 \
    --root=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc CHANGELOG README FAQ.html examples.html
%attr(755,root,root) %{_bindir}/rdiff-backup
%dir %{_libdir}/python*/site-packages/rdiff_backup
%{_libdir}/python*/site-packages/rdiff_backup/*.py
%{_libdir}/python*/site-packages/rdiff_backup/*.py[co]
%attr(755,root,root) %{_libdir}/python*/site-packages/rdiff_backup/*.so
%{_mandir}/man1/rdiff-backup.1*

%changelog
* Fri Apr 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.13.6-1mdk
- 0.13.6

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.13.4-2mdk
- Rebuild for new python

* Thu Oct 14 2004 Erwan Velu <erwan@mandrakesoft.com> 0.13.4-1mdk
- 0.13.4
- requires python
 
* Sun Nov 02 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.13.3-1mdk
- initial cooker contrib, PLD import
